%define gclientdir %_emacslispdir/g-client

Name: emacs-google-client
Version: 0.0.1
Release: alt2
BuildArch: noarch

License: %gpl2plus
Group: Editors
Summary: Client of Google Apps for GNU Emacs
Url: http://emacspeak.blogspot.com/2007/03/emacs-client-for-google-services.html
Packager: Michael Pozhidaev <msp@altlinux.org>

Requires: emacs-common
BuildRequires: emacs-devel emacs23-common
BuildRequires: rpm-build-licenses

Source: g-client.tar.bz2

%description
Google offers a number of services using a Google account. Many of these services also
expose a Web API. this package provides a set of Emacs modules for accessing these services
from inside Emacs.

%prep
%setup -q -n g-client

%build
%__rm -f *.elc
make config
make

%install
%__install -d -m 755 %buildroot%gclientdir
%__cp -r ./* %buildroot%gclientdir/
%__rm -f \
  %buildroot%gclientdir/COPYING \
  %buildroot%gclientdir/g-client.html \
  %buildroot%gclientdir/Makefile

%files
%doc COPYING g-client.html g-client.org
%gclientdir

%changelog
* Fri Jan 22 2010 Michael Pozhidaev <msp@altlinux.ru> 0.0.1-alt2
- Proper documentation installation and unnecessary files clean up

* Sun Jan 03 2010 Michael Pozhidaev <msp@altlinux.ru> 0.0.1-alt1
- Initial package for ALT Linux
